#ifndef SOFTIIC_H__
#define SOFTIIC_H__

extern int sda_pin;  // GPIO0
extern int scl_pin;   // GPIO1

// I2C 起始信号
void i2c_start(int sda, int scl);

// I2C 停止信号
void i2c_stop(int sda, int scl);

// I2C 发送一个字节
void i2c_write_byte(int sda, int scl, uint8_t data);

// I2C 读取一个字节
uint8_t i2c_read_byte(int sda, int scl, bool ack);

#endif